Hacking Question Game updates firmware requirements override?

SkinZ

Member
Newcomer
Joined
Aug 15, 2018
Messages
14
Trophies
0
Age
39
XP
350
Country
United Kingdom
Hi, when I run a XCI game like Mario Kart on 4.1.0 with SX it runs fine, but if you install a game update nsp, past a certain version number it will refuse to let you run the updated game without a firmware update.

Obviously I could just run an older version but I was wondering if there is any way around this? Someone said devmenu could override firmware requirements but devmenu doesn't work on 4.1.0 from what I have read.

I don't want to go to 5.1 firmware without burning fuses as I don't like autorcm as I often run the switch down to empty in sleep mode and don't want to wait hours to charge.

Thanks in advance
 

Draxzelex

Well-Known Member
Member
Joined
Aug 6, 2017
Messages
15,921
Trophies
1
Age
27
Location
New York City
XP
10,977
Country
United States
You cannot as the update is most likely encrypted with the masterkey revision found on firmwares 5.X. Theoretically, you could decrypt the .NSP and reencrypt it with the lowest masterkey revision but I have not seen anyone try this nor be successful with doing so. Also the override firmware requirement in DevMenu deletes game updates only so games installed with updates with higher firmwares can return to working on lower firmwares.
 

guily6669

GbaTemp is my Drug
Member
Joined
Jun 3, 2013
Messages
1,959
Trophies
0
Age
31
Location
Doomed Island
XP
1,415
Country
United States
TX in their FAQ said they are working on something similar which is playing a game on a lower FW than the required, but I don't know if they are even working on it and if they will ever achieve it, and even if they made it work in the future doesn't mean it would work on the updates...
 
  • Like
Reactions: SkinZ

adrifcastr

Well-Known Member
Member
Joined
Sep 12, 2016
Messages
2,038
Trophies
0
XP
1,947
Country
Germany
You cannot as the update is most likely encrypted with the masterkey revision found on firmwares 5.X. Theoretically, you could decrypt the .NSP and reencrypt it with the lowest masterkey revision but I have not seen anyone try this nor be successful with doing so. Also the override firmware requirement in DevMenu deletes game updates only so games installed with updates with higher firmwares can return to working on lower firmwares.
This is the wrongest thing I have ever heard. .NSP is a unencrypted plaintext file container. The NCA's inside are encrypted with the corresponding titlekey.
 

Site & Scene News

General chit-chat
Help Users
    DinohScene @ DinohScene: huraay for keeping backups